bm::bit_block_t Struct Reference

bit-block array wrapped into union for correct interpretation of 32-bit vs 64-bit access vs SIMD More...

`#include <bmutil.h>`

Collaboration diagram for bm::bit_block_t:
[legend]

## Data Structures

union | bunion_t

## Public Member Functions

| operator bm::word_t * ()
| operator const bm::word_t * () const
| operator bm::id64_t * ()
| operator const bm::id64_t * () const
| operator __m256i * ()
| operator const __m256i * () const
| operator __m128i * ()
| operator const __m128i * () const
const bm::word_t * | begin () const
bm::word_t * | begin ()
const bm::word_t * | end () const
bm::word_t * | end ()

## Data Fields

union bm::bit_block_t::bunion_t | b_

## Detailed Description

bit-block array wrapped into union for correct interpretation of 32-bit vs 64-bit access vs SIMD

Definition at line 58 of file bmutil.h.

## Member Function Documentation

## begin() [1/2]

bm::word_t * bm::bit_block_t::begin | ( |  | ) |

inline

Definition at line 94 of file bmutil.h.

References b_.

## begin() [2/2]

const bm::word_t * bm::bit_block_t::begin | ( |  | ) | const

inline

Definition at line 93 of file bmutil.h.

References b_.

## end() [1/2]

bm::word_t * bm::bit_block_t::end | ( |  | ) |

inline

Definition at line 96 of file bmutil.h.

References b_, and bm::set_block_size.

## end() [2/2]

const bm::word_t * bm::bit_block_t::end | ( |  | ) | const

inline

Definition at line 95 of file bmutil.h.

References b_, and bm::set_block_size.

## operator __m128i *()

bm::bit_block_t::operator __m128i * | ( |  | ) |

inline explicit

Definition at line 89 of file bmutil.h.

References b_.

## operator __m256i *()

bm::bit_block_t::operator __m256i * | ( |  | ) |

inline explicit

Definition at line 85 of file bmutil.h.

References b_.

## operator bm::id64_t *()

bm::bit_block_t::operator bm::id64_t * | ( |  | ) |

inline explicit

Definition at line 78 of file bmutil.h.

References b_.

## operator bm::word_t *()

bm::bit_block_t::operator bm::word_t * | ( |  | ) |

inline

Definition at line 76 of file bmutil.h.

References b_.

## operator const __m128i *()

bm::bit_block_t::operator const __m128i * | ( |  | ) | const

inline explicit

Definition at line 90 of file bmutil.h.

References b_.

## operator const __m256i *()

bm::bit_block_t::operator const __m256i * | ( |  | ) | const

inline explicit

Definition at line 86 of file bmutil.h.

References b_.

## operator const bm::id64_t *()

bm::bit_block_t::operator const bm::id64_t * | ( |  | ) | const

inline explicit

Definition at line 79 of file bmutil.h.

References b_.

## operator const bm::word_t *()

bm::bit_block_t::operator const bm::word_t * | ( |  | ) | const

inline

Definition at line 77 of file bmutil.h.

References b_.

## Field Documentation

## b_

union bm::bit_block_t::bunion_t bm::bit_block_t::b_

Referenced by begin(), begin(), end(), end(), operator __m128i *(), operator __m256i *(), operator bm::id64_t *(), operator bm::word_t *(), operator const __m128i *(), operator const __m256i *(), operator const bm::id64_t *(), and operator const bm::word_t *().

The documentation for this struct was generated from the following file:

- bmutil.h